import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { DatabaseBackupWhereInputObjectSchema as DatabaseBackupWhereInputObjectSchema } from './DatabaseBackupWhereInput.schema'

const makeSchema = () => z.object({
  every: z.lazy(() => DatabaseBackupWhereInputObjectSchema).optional(),
  some: z.lazy(() => DatabaseBackupWhereInputObjectSchema).optional(),
  none: z.lazy(() => DatabaseBackupWhereInputObjectSchema).optional()
}).strict();
export const DatabaseBackupListRelationFilterObjectSchema: z.ZodType<Prisma.DatabaseBackupListRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.DatabaseBackupListRelationFilter>;
export const DatabaseBackupListRelationFilterObjectZodSchema = makeSchema();
